use proc_macro::TokenStream;

mod database;
mod entity;

#[proc_macro_derive(Entity, attributes(unique, elide, key))]
pub fn derive_entity(tokens: TokenStream) -> TokenStream {
    entity::derive(tokens)
}

#[proc_macro_derive(Database)]
pub fn derive_database(tokens: TokenStream) -> TokenStream {
    database::derive(tokens)
}
